import React, {Component} from "react";
import {Image, ImageSourcePropType, TouchableOpacity, View} from "react-native";
import {RobotoBoldText, RobotoText} from "components/utils/texts/StyledText";

interface Props {
    color: string,
    icon: ImageSourcePropType,
    header: string,
    text: string
}

class CategoryHorizontal extends Component<Props> {
    constructor(props) {
        super(props);
    }

    render() {
        const {color, icon, header, text} = this.props;

        return (
            <TouchableOpacity onPress={() => console.log("buttonClicked")}>
                <View style={{
                    height: 90,
                    width: 140,
                    borderRadius: 6,
                    backgroundColor: '#ffffff',
                    flexDirection: 'row',
                    padding: 10
                }}>
                    <View style={{
                        width: 33,
                        height: 33,
                        backgroundColor: color,
                        borderRadius: 5,
                        padding: 8,
                        paddingLeft: 15,
                        position: 'absolute',
                        left: -14,
                        bottom: 30
                    }}>
                        <Image source={icon} style={{marginLeft: -10}}/>
                    </View>
                    <View style={{flexDirection: 'column', marginLeft: 20, alignContent: 'stretch'}}>
                        <RobotoBoldText style={{fontSize: 16, color: color, marginBottom: 5}}>{header}</RobotoBoldText>
                        <RobotoText
                            style={{color: '#090c1a', fontSize: 12, justifyContent: 'center'}}>{text}</RobotoText>
                    </View>
                </View>
            </TouchableOpacity>
        );
    }
}

export default CategoryHorizontal;
