import React, {Component} from "react";
import {Image, ImageSourcePropType, TouchableOpacity, View} from "react-native";
import {RobotoBoldText, RobotoText} from "components/utils/texts/StyledText";

interface Props {
    bgColor: string,
    imageUri: ImageSourcePropType,
    text: string
    name: string
}


class CategoryVertical extends Component<Props> {

    render() {
        const { bgColor, imageUri, text, name} = this.props;

        return (
            <TouchableOpacity
                onPress={() => console.log("buttonClicked")}>
                <View style={{ flexDirection: 'column', height: 125, width: 250, marginTop: 15, marginBottom: 10, alignItems: 'center', justifyContent: 'center'}}>
                    <View style={{flexDirection: 'row'}}>
                        <View style={{ flex: 1, paddingLeft: 10, paddingTop: 10, alignItems: 'center', justifyContent: 'center'}}>
                            <View style={{width: 60, height: 60, backgroundColor: bgColor, borderRadius: 30, marginBottom: 15 }}>
                                <Image source={imageUri} style={{width: 25, height: 25, marginLeft: 18, marginTop: 18}}/>
                            </View>
                            <RobotoBoldText style={{color: 'white', textAlign: 'center'}}>{name}</RobotoBoldText>
                            <RobotoText style={{color: 'white', textAlign: 'center'}}>{text}</RobotoText>
                        </View>
                    </View>
                </View>
            </TouchableOpacity>
        );
    }
}

export default CategoryVertical;
