import React from 'react';
import {Dimensions, StyleSheet, View} from "react-native";
import {StackNavigationProp} from "@react-navigation/stack";
import {TouchableShortCutButton} from "./TouchableShortCutButton";
import {ShortCut} from "../../screens/HomeScreen";

const {width: WINDOW_WIDTH} = Dimensions.get('window');

type Props = {
    navigation: StackNavigationProp<any>
    target: any
    shortCuts: ShortCut[]
}

export const ShortCutEnhancedView: React.FC<Props> = (props: Props) => {
    return (
        <View style={styles.container}>
            {
                props.shortCuts.map((shortCut, index) => {
                    return (
                        <TouchableShortCutButton key={index} textColor={shortCut.contentColor} icon={shortCut.icon} label={shortCut.label} target={shortCut.target}/>
                    );
                 })
            }
        </View>
    );
}

const styles = StyleSheet.create({
    container: {
        flexDirection: 'row'
    }
});
