import React, {Component} from 'react';
import {Image, TouchableOpacity, View} from "react-native";
import {RobotoBoldText, RobotoText} from "components/utils/texts/StyledText";
import {appColor} from "constants/Colors";

type Props = {
    title: string,
    description: string,
    onPress: Function,
    visible: boolean
};

export default class ModuleButton extends Component<Props> {
    constructor(props) {
        super(props);
    }

    render() {
        return (
            <TouchableOpacity onPress={() => this.props.onPress()} style={{
                height: 60,
                flexDirection: "row",
                marginLeft: 40,
                marginRight: 40
            }}>
            <View style={{
                flex: .2,
                alignItems: "flex-end",
                justifyContent: "center",

            }}>
            <Image style={{flex: .40,}}
                   source={this.props.visible ? require('assets/images/checked.png')  : require('assets/images/unchecked.png')}
                   resizeMode={"contain"}
                  // opacity={this.props.visible ? 1 : 0.85}
            />
            </View>
            <View style={{ flex: .8 }}>
                <RobotoBoldText style={[{
                    color: appColor.appText,
                    fontSize: 18,
                    marginTop: 2,
                    opacity: this.props.visible ? 1 : 0.85}]}>{this.props.title},

                </RobotoBoldText>
                <RobotoText style={[{
                    color: appColor.appText,
                    fontSize: 10,
                    opacity: this.props.visible ? 1 : 0.85}]}>{this.props.description}</RobotoText>
            </View>
            </TouchableOpacity>
        );
    }
}
