import React from 'react';
import {Text, TextProps} from 'react-native-elements';
import {useTheme} from "react-native-paper";

export const RobotoText: React.FC<TextProps> = (props: TextProps) => {
    const theme = useTheme();

    return <Text {...props} style={[{
        fontFamily: 'roboto',
        color: theme.colors.text
    }, props.style
    ]}/>;
}

export const RobotoBoldText: React.FC<TextProps> = (props: TextProps) => {
    const theme = useTheme();

    return <Text {...props} style={[{
        fontFamily: 'roboto-bold',
        color: theme.colors.text
    }, props.style
    ]}/>;
}







