import {useEffect, useState} from "react";
import {JobOfferData} from "../JobsPefScreen";

const BASE_URL = 'https://jobs.pef.czu.cz/api/jobs';

export const useJobOffers = (jobType): any => {
    const [loading, setLoading] = useState<boolean>(true);
    const [jobOffers, setJobOffers] = useState<JobOfferData[]>([{
        id: null,
        nazev: "",
        primarni_forma: "",
        charakteristika: "",
        aktualnost: "",
        date_created_cs: "",
        platnost_od_cs: "",
        firma_id: "",
        firma_nazev: "",
        firma_logo: "",
        favourited_by_auth: false,
        links: {
            self: "",
            firma: ""
        }
    }]);

    useEffect(() => {
        const fetchData = async () => {
            const FINAL_URL = BASE_URL + getQueryParamsUrl(jobType);
            const response = await fetch(FINAL_URL);

            await response.json()
                .then(res => {
                    setJobOffers(res.data)
                })
                .catch(() => console.log("failed to fetch"))
            setLoading(false)
        };

        fetchData();
    }, [jobType]);

    return { jobOffers, loading };
};

function getQueryParamsUrl(jobType: string): string {
    if (jobType === "") {
        return jobType;
    } else {
        return '?form=' + jobType;
    }
}