import React, {Component} from "react";
import {ImageBackground, ScrollView, StyleSheet, View} from "react-native";

import CategoryVertical from "components/firststeps/CategoryVertical";
import CategoryHorizontal from "components/firststeps/CategoryHorizontal";
import {getText, getTextUpperCase} from "locales/Locales";

export default class FirstStepsScreen extends Component {

    static navigationOptions = {
        title: "Things to-do first days",
        headerTintColor: '#FFFFFF',
        headerTitleStyle: {
            fontWeight: 'bold',
        },
        headerTransparent: true
    };

    render() {
        return (
                <View style={{flex: 1, backgroundColor: '#090C1A'}}>
                    <ImageBackground source={ require('assets/prokop.png')} style={{width: '100%'}}>
                        <View style={{height: 130, marginTop: 110}}>
                            <ScrollView horizontal={true} showsHorizontalScrollIndicator={false}>
                                <CategoryHorizontal header={getTextUpperCase("firstStepsScreen.horizontal.card")} text={getText("firstStepsScreen.horizontal.cardDescription")} icon={require('assets/card.png')} color="#4767FF"
                                />
                                <View style={{width: 30}}/>
                                <CategoryHorizontal header={getTextUpperCase("firstStepsScreen.horizontal.dorm")} text={getText("firstStepsScreen.horizontal.dormDescription")} icon={require('assets/dormitory.png')} color="#42C5A1"
                                />
                                <View style={{width: 30}}/>
                                <CategoryHorizontal header={getTextUpperCase("firstStepsScreen.horizontal.food")} text={getText("firstStepsScreen.horizontal.foodDescription")} icon={require('assets/food.png')} color="#DE5656"
                                />
                            </ScrollView>
                        </View>
                    </ImageBackground>
                                <ScrollView contentContainerStyle={ {alignItems:'center', justifyContent: 'center'}} horizontal={false} showsVerticalScrollIndicator={false}>
                                    <CategoryVertical imageUri={require('assets/images/arealKroky.png')}
                                                      name={getText("firstStepsScreen.vertical.area")}
                                                      text={getText("firstStepsScreen.vertical.areaDescription")}
                                                      bgColor="rgb(223, 51, 74)"/>
                                    <View style={styles.ellipse}/>
                                    <View style={styles.ellipse}/>
                                    <View style={styles.ellipse}/>

                                    <CategoryVertical imageUri={require('assets/images/studiumKroky.png')}
                                                      name={getText("firstStepsScreen.vertical.study")}
                                                      text={getText("firstStepsScreen.vertical.studyDescription")}
                                                      bgColor="rgb(51, 131, 223)"/>

                                    <View style={styles.ellipse}/>
                                    <View style={styles.ellipse}/>
                                    <View style={styles.ellipse}/>

                                    <CategoryVertical imageUri={require('assets/images/isKroky.png')}
                                                      name={getText("firstStepsScreen.vertical.is")}
                                                      text={getText("firstStepsScreen.vertical.isDescription")}
                                                      bgColor="rgb(21, 191, 157)"/>

                                    <View style={styles.ellipse}/>
                                    <View style={styles.ellipse}/>
                                    <View style={styles.ellipse}/>

                                    <CategoryVertical imageUri={require('assets/images/skriptaKroky.png')}
                                                      name={getText("firstStepsScreen.vertical.materials")}
                                                      text={getText("firstStepsScreen.vertical.materialsDescription")}
                                                      bgColor="rgb(107, 56, 229)"/>

                                    <View style={styles.ellipse}/>
                                    <View style={styles.ellipse}/>
                                    <View style={styles.ellipse}/>
                                    <CategoryVertical imageUri={require('assets/images/internet_kroky.png')}
                                                      name={getText("firstStepsScreen.vertical.net")}
                                                      text={getText("firstStepsScreen.vertical.netDescription")}
                                                      bgColor="rgb(232, 178, 96)"/>

                                    <View style={styles.ellipse}/>
                                    <View style={styles.ellipse}/>
                                    <View style={styles.ellipse}/>

                                    <CategoryVertical imageUri={require('assets/images/handKroky.png')}
                                                      name={getText("firstStepsScreen.vertical.others")}
                                                      text={getText("firstStepsScreen.vertical.othersDescription")}
                                                      bgColor="rgb(232, 96, 147)"
                                    />
                                </ScrollView>
                    </View>
        );
    }
}

const styles = StyleSheet.create({

    container: {
        flex: 1,
        alignItems: 'center',
        justifyContent: 'center'
    },
    ellipse: {
        width: 5,
        height: 5,
        borderRadius: 5,
        marginBottom: 4,
        marginTop: 4,
        backgroundColor: '#ffffff',
        flex:1,
        alignItems:'center',
    }
});
