/**
 * @flow
 */

import React, {Component} from "react";
import {Image, StyleSheet, View} from "react-native";
import Wallet from "screens/containers/profile/Wallet";
import {RobotoBoldText} from "components/utils/texts/StyledText";

export default class ProfileHeader extends Component {
    constructor(props) {
        super(props);
    }

    render() {
        return (
            <View style={styles.rowDirection}>
                <Image source={{uri: 'https://bootdey.com/img/Content/avatar/avatar6.png'}} style={{width: 50, height: 50, borderRadius: 50/2, borderColor: "#2669eb", borderWidth: 2, paddingRight: 10,}} />
                    <View style={styles.columnDirection}>
                        <RobotoBoldText style={{fontSize: 20}}>Ondřej Svojše</RobotoBoldText>
                        <RobotoBoldText style={{color: "#225ED9", fontSize: 12, paddingTop: 5}}> EIII za 20min.</RobotoBoldText>
                    </View>
                <Wallet/>
            </View>
        );
    }
}

const styles = StyleSheet.create({

    columnDirection: {
        padding: 10,
        borderRightWidth: 2,
        borderColor: '#dbdbdb',
        paddingRight: 10
    },

    rowDirection: {
        flexDirection: "row",
    },
});
