import LibraryUser from "model/library/LibraryUser";
import * as SecureStore from 'expo-secure-store';


export default class InternalStoreService {


    public static async saveLibraryUser(user: LibraryUser): Promise<void> {
        await SecureStore.setItemAsync("libraryUser", JSON.stringify(user));
    }


    public static async getLibraryUser(): Promise<LibraryUser> {
        return JSON.parse(await SecureStore.getItemAsync("libraryUser"));
    }

    public static async deleteLibraryUser(): Promise<void> {
        await SecureStore.deleteItemAsync("libraryUser");
        await SecureStore.deleteItemAsync("token");
    }

    public static async saveToken(token: string): Promise<void> {
        await SecureStore.setItemAsync("token", token);
    }


    public static async getToken(): Promise<string> {
        return await SecureStore.getItemAsync("token");
    }


}