import {useEffect, useState} from "react";
import {NewsFeedData} from "../screens/NewsFeedScreen";

export const useFetchNewsFeed = (url): any => {
    const [loading, setLoading] = useState<boolean>(true);
    const [newsFeed, setNewsFeed] = useState<NewsFeedData>();

    useEffect(() => {
        if (!url) return;
        const fetchData = async () => {
            const response = await fetch(url);
            const data: NewsFeedData = await response.json();

            setNewsFeed(data);
            setLoading(false);
        };

        fetchData();
    }, [url]);

    return { newsFeed, loading };
};